import { Functional } from '../../../../Class/Functional';
import { Done } from '../../../../Class/Functional/Done';
import { System } from '../../../../system';
import { $S } from '../../../../types/interface/async/$S';
export interface I {
    init: {};
}
export interface O {
    system: $S;
}
export default class Worker_ extends Functional<I, O> {
    private _worker;
    constructor(system: System);
    f({ init }: I, done: Done<O>): void;
    d(): void;
}
